<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 19.10.2015
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_ban_ip', null, 'index.php?' . SID);

$opsos = NULL;
$set['title'] = 'Бан по IP';

require_once H . 'sys/inc/thead.php';


title();
aut();
err();

if (isset($_POST['min']) && isset($_POST['max'])) {
    if (!preg_match("#^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$#", $_POST['min'])) {
        $err[] = 'Неверный формат IP-адреса';
    }
    if (!preg_match("#^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$#", $_POST['max'])) {
        $err[] = 'Неверный формат IP-адреса';
    }

    $min = ip2long($_POST['min']);
    $max = ip2long($_POST['max']);

    if (ip2long($ip) >= $min && ip2long($ip) <= $max) {
        $err[] = 'Ваш IP входит в заданный диапазон';
    } elseif (!isset($err)) {
        mysql_query("INSERT INTO `ban_ip` (`min`, `max`) values('$min', '$max')", $db);
        msg('Диапазон успешно забанен');
    }
}

if (isset($_GET['delmin']) && isset($_GET['delmax']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_ip` WHERE `min` = '" . $_GET['delmin'] . "' AND `max` = '" . $_GET['delmax'] . "' LIMIT 1", $db), 0) != 0) {
    mysql_query("DELETE FROM `ban_ip` WHERE `min` = '" . mysql_real_escape_string($_GET['delmin']) . "' AND `max` = '" . $_GET['delmax'] . "' LIMIT 1");
    mysql_query("OPTIMIZE TABLE `ban_ip`");
    msg('Диапазон успешно удален');
}

echo "<div class = 'comm'><center><b>Бан по IP</b></center></div>";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_ip`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `ban_ip` LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo "<div class = 'errs'>";
    echo "<img src = '/style/icons/error.png' /> Нет результатов";
    echo "</div>";
}
while ($post = mysql_fetch_assoc($q)) {
    echo "<div class = 'comm'>";
    echo "<div style = 'float:right;' id = 'hide'>";
    echo "<a href = '?page=$page&amp;delmin=$post[min]&amp;delmax=$post[max]' title = 'Удалить'><img src = '/style/icons/del.png' /></a>";
    echo "</div>";
    echo long2ip($post['min']) . ' - ' . long2ip($post['max']);
    echo "</div>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

$min = NULL;
$max = NULL;
if (isset($_GET['min']) && preg_match("#^([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3})$#", long2ip($_GET['min']))) {
    echo "HOST: " . gethostbyaddr(long2ip(htmlspecialchars($_GET['min']))) . "<br />\n";
    $min = long2ip(htmlspecialchars($_GET['min']));
    $max = long2ip(htmlspecialchars($_GET['min']));
    if (isset($_GET['max']) && preg_match("#^([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3})$#", long2ip($_GET['max']))) {
        $max = long2ip(htmlspecialchars($_GET['max']));
    }
}

echo "<form method = 'post' class = 'comm' action = '?ban=$passgen'>\n";
echo "<b>Начало</b><br /><input name = 'min' size = '16'  value = '$min' type = 'text' /><br />";
echo "<b>Конец</b><br /><input name = 'max' size = '16' value = '$max' type = 'text' /><br /><br />";
echo "<button class = 'button-green'>Забанить</button>";
echo "</form>";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}
require_once H . 'sys/inc/tfoot.php';
