<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 20.10.2015
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_set_sys', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Настройки системы';
require_once H . 'sys/inc/thead.php';

if (isset($_POST['save'])) {

    if (!preg_match('#\.\.#', $_POST['set_them']) && is_dir(H . 'style/themes/' . $_POST['set_them'])) {
        $temp_set['set_them'] = $_POST['set_them'];
        mysql_query("ALTER TABLE `user` CHANGE `set_them` `set_them` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '$temp_set[set_them]'");
    }
    if (!preg_match('#\.\.#', $_POST['set_them2']) && is_dir(H . 'style/themes/' . $_POST['set_them2'])) {
        $temp_set['set_them2'] = $_POST['set_them2'];
        mysql_query("ALTER TABLE `user` CHANGE `set_them2` `set_them2` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '$temp_set[set_them2]'");
    }

    $temp_set['show_err_php'] = (isset($_POST['show_err_php']) && $_POST['show_err_php']);
    $temp_set['antidos'] = (isset($_POST['antidos']) && $_POST['antidos']);
    $temp_set['antimat'] = (isset($_POST['antimat']) && $_POST['antimat']);
    $temp_set['meta_keywords'] = text::esc($_POST['meta_keywords']);
    $temp_set['meta_description'] = text::esc($_POST['meta_description']);
    $temp_set['title'] = text::esc(stripcslashes(htmlspecialchars($_POST['title'])), 1);
    $temp_set['mail_backup'] = text::esc($_POST['mail_backup']);
    $temp_set['p_str'] = intval($_POST['p_str']);
    mysql_query("ALTER TABLE `user` CHANGE `set_p_str` `set_p_str` INT( 11 ) DEFAULT '$temp_set[p_str]'");

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Система', 'Изменение системных настроек');
        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

title();
aut();
err();

echo "<div class = 'comm'><center><b>Настройки системы</b></center></div>";

echo "<form method = 'post' class = 'comm' action = '?'>";
echo "<b>Название сайта</b><br />";
echo "<input name = 'title' value = '$temp_set[title]' type = 'text' /><br />";
echo "<b>Пунктов на страницу</b><br />";
echo "<input name = 'p_str' value = '$temp_set[p_str]' type = 'text' /><br />";

echo "<b>Тема (WAP)</b><br /><select name = 'set_them'>";
$opendirthem = opendir(H . 'style/themes');
while ($themes = readdir($opendirthem)) {
// пропускаем корневые папки и файлы
    if ($themes == '.' || $themes == '..' || !is_dir(H . "style/themes/$themes")) {
        continue;
    }
// пропускаем темы для web браузеров
    if (file_exists(H . "style/themes/$themes/.only_for_web")) {
        continue;
    }
    echo "<option value = '$themes'" . ($temp_set['set_them'] == $themes ? " selected = 'selected'" : null) . ">" . trim(file_get_contents(H . 'style/themes/' . $themes . '/them.name')) . "</option>\n";
}
closedir($opendirthem);
echo "</select><br />\n";

echo "<b>Тема (WEB)</b><br />\n<select name = 'set_them2'>\n";
$opendirthem = opendir(H . 'style/themes');

while ($themes = readdir($opendirthem)) {
// пропускаем корневые папки и файлы
    if ($themes == '.' || $themes == '..' || !is_dir(H . "style/themes/$themes")) {
        continue;
    }
// пропускаем темы для wap браузеров
    if (file_exists(H . "style/themes/$themes/.only_for_wap")) {
        continue;
    }
    echo "<option value = '$themes'" . ($temp_set['set_them2'] == $themes ? " selected = 'selected'" : null) . ">" . trim(file_get_contents(H . 'style/themes/' . $themes . '/them.name')) . "</option>\n";
}
closedir($opendirthem);
echo "</select><br />\n";

echo "<b>Ключевые слова (META)</b><br />\n";
echo "<textarea name = 'meta_keywords'>$temp_set[meta_keywords]</textarea><br />\n";
echo "<b>Описание (META)</b><br />\n";
echo "<textarea name = 'meta_description'>$temp_set[meta_description]</textarea><br />\n";

echo "<label><input type = 'checkbox'" . ($temp_set['antidos'] ? " checked = 'checked'" : null) . " name = 'antidos' value='1' /> Анти-Dos*</label><br />\n";
echo "<label><input type = 'checkbox'" . ($temp_set['show_err_php'] ? " checked = 'checked'" : null) . " name = 'show_err_php' value='1' /> Ошибки интерпретатора</label><br />\n";
echo "<label><input type = 'checkbox'" . ($temp_set['antimat'] ? " checked = 'checked'" : null) . " name = 'antimat' value='1' /> Анти-Мат</label><br />\n";

echo "<b>E-mail для BackUp</b><br /><input type = 'text' name = 'mail_backup' value = '$temp_set[mail_backup]'  /><br />\n";

echo "<br />\n";
echo "* Анти-Dos - защита от частых запросов с одного IP-адреса<br />\n";
echo "<button name = 'save' class = 'button-green'>Сохранить</button>";
echo "</form>\n";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}
require_once H . 'sys/inc/tfoot.php';
