<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 20.10.2015
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_set_user', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Пользовательские настройки';
require_once H . 'sys/inc/thead.php';

if (isset($_POST['save'])) {
    if ($_POST['guest_select'] == 1 || $_POST['guest_select'] == 0) {
        $temp_set['guest_select'] = intval($_POST['guest_select']);
    }
    $temp_set['reg_select'] = text::esc($_POST['reg_select']);
    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Пользователи', "Изменение пользовательских настроек");
        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}
title();
aut();
err();

echo "<div class = 'comm'><center><b>Пользовательские настройки</b></center></div>";

echo "<form class = 'comm' method = 'post' action = '?'>";

echo "<b>Режим регистрации</b><br /><select name = 'reg_select'>";
echo "<option value = 'close'>Закрыта</option>\n";
if ($temp_set['reg_select'] == 'open') {
    $sel = ' selected = "selected"';
} else {
    $sel = NULL;
}
echo "<option value = 'open'$sel>Открыта</option>\n";
if ($temp_set['reg_select'] == 'open_mail') {
    $sel = ' selected = "selected"';
} else {
    $sel = NULL;
}
echo "<option value = 'open_mail'$sel>Открыта + E-mail</option>\n";
echo "</select><br />\n";

echo "<b>Режим гостя</b><br />\n<select name = 'guest_select'>";
echo "<option value = '0'>Открыто все</option>\n";
if ($temp_set['guest_select'] == '1') {
    $sel = ' selected = "selected"';
} else {
    $sel = NULL;
}
echo "<option value = '1'$sel>Закрыто все *</option>\n";
echo "</select><br />\n";
echo " * остаются открытыми регистрация и авторизация<br />\n";

echo "<button name = 'save' class = 'button-green'>Сохранить</button>";
echo "</form>\n";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}

require_once H . 'sys/inc/tfoot.php';
