<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 02.11.2015
 * Модифицировал densnet
 */

require_once '../../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/user.php';

$set['title'] = 'Пользователи';

require_once H . 'sys/inc/thead.php';

title();
aut();

$sort = 'id';
$por = 'DESC';

if (isset($_GET['ASC'])) {
    $por = 'ASC';
} #прямой порядок
if (isset($_GET['DESC'])) {
    $por = 'DESC';
} #обратный порядок

$css_money = null;
$css_activity = null;
$css_level = null;
$css_rating = null;
$css_sex = null;
$css_id = null;
$css = null;

switch (@$_GET['sort']) {
    case 'money':
        $sql_sort = '`user`.`money`';
        $sort = 'money'; #монеты
        $css_money = 'active';
        break;
    case 'activity':
        $sql_sort = '`user`.`activity`';
        $sort = 'activity'; #активность
        $css_activity = 'active';
        break;
    case 'level':
        $sql_sort = '`user_group`.`level`';
        $sort = 'level'; #уровень
        $css_level = 'active';
        break;
    case 'rating':
        $sql_sort = '`user`.`rating`';
        $sort = 'rating'; #рейтинг
        $css_rating = 'active';
        break;
    case 'sex':
        $sql_sort = '`user`.`sex`';
        $sort = 'sex'; #пол
        $css_sex = 'active';
        break;
    case 'id':
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #пол
        $css_id = 'active';
        break;
    default:
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #ID
        $css = 'active';
        break;
}

$usearch = NULL;
if (isset($_SESSION['usearch'])) {
    $usearch = $_SESSION['usearch'];
}
if (isset($_POST['usearch'])) {
    $usearch = $_POST['usearch'];
}

if ($usearch == NULL) {
    unset($_SESSION['usearch']);
} else {
    $_SESSION['usearch'] = $usearch;
}

echo '<div class="busi_switcher"><table><tr><td style = "width: 50%;">';
echo "<a class = 'brd active'>Все</a>";
echo '</td><td style = "width: 50%;">';
echo "<a href = '/modules/online/' class = 'brd'>Онлайн</a>";
echo '</td></tr></table></div>';

if (isset($_GET['go']) && $usearch != NULL) {

    echo "<form class = 'comm' name = 'search' method = 'POST' action = 'index.php?go&amp;sort=$sort&amp;$por'>";
    $usearch = stripcslashes(htmlspecialchars($usearch));
    echo "Введите ID или НИК пользователя <br />";
    echo "<input type = 'search' name = 'usearch' maxlength = '16' title = 'Введите ID или НИК пользователя' value = '$usearch' />";
    echo "<button class = 'action'><img src = '/style/icons/search.png' /></button>";
    echo "</form>";

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` like '%" . mysql_real_escape_string($usearch) . "%' OR `id` = '" . intval($usearch) . "'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo '<div class="busi_switcher"><table><tr><td style = "width: 50%;">';
    echo "Сортировать по: <br />";

    echo "<a href = '?go&amp;sort=money&amp;DESC&amp;page=$page' title = 'Монеты'><img src = '/style/icons/sort_price_descending.png' /></a> ";
    echo '</td><td style = "width: 50%;">';
    echo "<a href = '?go&amp;sort=activity&amp;DESC&amp;page=$page' title = 'Активность'><img src = '/style/icons/sort_quantity_descending.png' /></a> ";
    echo '</td><td style = "width: 50%;">';
    echo "<a href = '?go&amp;sort=rating&amp;DESC&amp;page=$page' title = 'Репутация'><img src = '/style/icons/sort_rating.png' /></a> ";
    echo '</td><td style = "width: 50%;">';
    echo "<a href = '?go&amp;sort=id&amp;DESC&amp;page=$page' title = 'ID'><img src = '/style/icons/sort_number.png' /></a> ";
    echo '</td><td style = "width: 50%;">';
    echo "<a href = '?go&amp;sort=sex&amp;DESC&amp;page=$page' title = 'Пол'><img src = '/style/icons/sort_man.png' /></a> ";
    echo '</td><td style = "width: 50%;">';
    echo "<a href = '?go&amp;sort=id&amp;DESC&amp;page=$page' title = 'Новые'><img src = '/style/icons/sort_date.png' /></a> ";

    echo '</td></tr></table></div>';

    if ($k_post == 0) {
        echo "<div class = 'errs'>";
        echo "<img src = '/style/icons/error.png' /> Нет результатов";
        echo "</div>";
    }

    $q = mysql_query("SELECT `id` FROM `user` WHERE `nick` like '%" . mysql_real_escape_string($usearch) . "%' OR `id` = '" . intval($usearch) . "' ORDER BY `$sort` $por LIMIT $start, $set[p_str]");
    while ($ank = mysql_fetch_assoc($q)) {
        $ank = user::get_user($ank['id']);
        echo "<table class = 'comm'><tr><td class = 'icon14'>";
        avatar($ank['id'], '30');
        echo "</td><td class = 'null'>";
        user($ank['id']);
        echo "<br />";

        if ($sort == 'rating') {
            echo "Рейтинг: $ank[rating]<br />";
        }
        if ($sort == 'money') {
            echo "Монеты: $ank[money]<br />";
        }
        if ($sort == 'activity') {
            echo "Активность: $ank[activity]<br />";
        }
        if ($sort == 'level') {
            if ($ank['group_access'] > 1) {
                echo "$ank[group_name]<br />";
            } else {
                echo "Пользователь<br />";
            }
        }
        if ($sort == 'sex') {
            echo "Пол: " . (($ank['sex'] == 1) ? 'Мужской' : 'Женский') . "<br />";
        }

        if ($sort == 'id') {
            echo "ID: $ank[id]<br />";
        }
        echo "</td></tr></table>";
    }

    #Вывод страниц
    if ($k_page > 1) {
        str("index.php?go&sort=$sort&$por&", $k_page, $page);
    }
}

if (!isset($_GET['go'])) {

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo '<div class="busi_switcher"><table><tr><td style = "width: 16.6%;">';
    //echo "<span style = 'float:right' id = 'hide'>";
    //echo "<a href = 'index.php?go&amp;sort=$sort&amp;$por' title = 'Поиск'><img src = '/style/icons/search.png' /></a>";
    //echo "</span>";
    echo "<a href = '/modules/users/index.php?sort=money&amp;DESC&amp;page=$page' class = 'brd $css_money' title = 'Монеты'><img src = '/style/icons/sort_price_descending.png' /></a> ";
    echo '</td><td style = "width: 16.6%;">';
    echo "<a href = '/modules/users/index.php?sort=activity&amp;DESC&amp;page=$page' class = 'brd $css_activity' title = 'Активность'><img src = '/style/icons/sort_quantity_descending.png' /></a> ";
    echo '</td><td style = "width: 16.6%;">';
    echo "<a href = '/modules/users/index.php?sort=rating&amp;DESC&amp;page=$page' class = 'brd $css_rating' title = 'Репутация'><img src = '/style/icons/sort_rating.png' /></a> ";
    echo '</td><td style = "width: 16.6%;">';
    echo "<a href = '/modules/users/index.php?sort=id&amp;DESC&amp;page=$page' class = 'brd $css_id' title = 'ID'><img src = '/style/icons/sort_number.png' /></a> ";
    echo '</td><td style = "width: 16.6%;">';
    echo "<a href = '/modules/users/index.php?sort=sex&amp;DESC&amp;page=$page' class = 'brd $css_sex' title = 'Пол'><img src = '/style/icons/sort_man.png' /></a> ";
    echo '</td><td style = "width: 16.6%;">';
    echo "<a href = '/modules/users/index.php?sort=id&amp;DESC&amp;page=$page' class = 'brd $css' title = 'Новые'><img src = '/style/icons/sort_date.png' /></a> ";

    echo '</td></tr></table></div>';


    if ($k_post == 0) {
        echo "<div class = 'errs'>";
        echo "<img src = '/style/icons/error.png' /> Нет результатов";
        echo "</div>";
    }

    $q = mysql_query("SELECT `user`.`id` FROM `user` LEFT JOIN `user_group` ON `user`.`group_access` = `user_group`.`id` ORDER BY $sql_sort $por LIMIT $start, $set[p_str]");
    while ($ank = mysql_fetch_assoc($q)) {
        $ank = user::get_user($ank['id']);
        echo "<table class = 'comm'><tr><td class = 'icon14'>";
        avatar($ank['id'], '30');
        echo "</td><td class = 'null'>";
        if (isset($user) && $user['id'] != $ank['id']) {
            echo "<span style = 'float:right' id = 'hide'>";
            echo "<a href = '/user/mail/?new_message=$ank[id]' title = 'Отправить сообщение'><img src = '/style/icons/mails.png' /></a> ";
            echo "</span>";
        } else {
            if (isset($user)) {
                echo "<span style = 'float:right' id = 'hides'>Это Вы</span>";
            }
        }
        user($ank['id']);
        echo "<br />";

        if ($sort == 'rating') {
            echo "Рейтинг: $ank[rating]<br />";
        }
        if ($sort == 'level') {
            if ($ank['group_access'] > 1) {
                echo "$ank[group_name]<br />";
            }
        } else {
            
        }
        if ($sort == 'money') {
            echo "Монеты: $ank[money]<br />";
        }
        if ($sort == 'activity') {
            echo "Активность: $ank[activity]<br />";
        }
        if ($sort == 'sex') {
            echo "Пол: " . (($ank['sex'] == 1) ? 'Мужской' : 'Женский') . "<br />";
        }

        if ($sort == 'id') {
            echo "ID: $ank[id]<br />";
        }
        echo "</td></tr></table>";
    }

    #Вывод страниц
    if ($k_page > 1) {
        str("index.php?sort=$sort&amp;$por&amp;", $k_page, $page);
    }
}

require_once H . 'sys/inc/tfoot.php';
