<?php

#сжимаем страницу, если это уже не сделал хостинг
if (!ini_get('zlib.output_compression')) {

    function compress_output_gzip($output) {
        header('Content-Encoding: gzip');
        return gzencode($output);
    }

    function compress_output_deflate($output) {
        header('Content-Encoding: deflate');
        return gzdeflate($output);
    }

    if (isset($_SERVER['HTTP_ACCEPT_ENCODING'])) {
        $AE = $_SERVER['HTTP_ACCEPT_ENCODING'];
    } else {
        $AE = isset($_SERVER['HTTP_TE']) ? $_SERVER['HTTP_TE'] : null;
    }

    if (strpos($AE, 'deflate') !== false) {
        ob_start('compress_output_deflate');
    } elseif (strpos($AE, 'gzip') !== false) {
        ob_start('compress_output_gzip');
    }
}

$compress = true;
