<?php

echo "<img src = '/style/icons/ok.png' /> Версия DCMS Special: $set[dcms_version] $set[dcms_state] " . ((!isset($license) || $license == false) ? '' : '(расширенная)') . "<br />\n";

list ($php_ver1, $php_ver2, $php_ver3) = explode('.', strtok(strtok(phpversion(), '-'), ' '), 3);

if ($php_ver1 == 5) {
    echo "<img src = '/style/icons/ok.png' /> Версия PHP: $php_ver1.$php_ver2.$php_ver3 (OK)<br />";
} else {
    echo "<img src = '/style/icons/del.png' /> Версия PHP: $php_ver1.$php_ver2.$php_ver3<br />";
    $err[] = "Тестирование на версии php $php_ver1.$php_ver2.$php_ver3 не осуществялось";
}


if (function_exists('disk_free_space') && function_exists('disk_total_space')) {
    $free_space = disk_free_space(H);
    $total_space = disk_total_space(H);
    if ($free_space > 1024 * 1024 * 5) {
        echo "<img src = '/style/icons/ok.png' /> Свободно: " . size_file($free_space) . ' / ' . size_file($total_space) . "<br />\n";
    } else {
        echo "<img src = '/style/icons/del.png' /> Свободно: " . size_file($free_space) . ' / ' . size_file($total_space) . "<br />\n";
        $err[] = 'Мало свободного места на диске';
    }
}


if (function_exists('set_time_limit')) {
    echo "<img src = '/style/icons/ok.png' /> set_time_limit: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> set_time_limit: Запрещено<br />\n";
}



if (ini_get('session.use_trans_sid') == true) {
    echo "<img src = '/style/icons/ok.png' /> session.use_trans_sid: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> session.use_trans_sid: Нет<br />\n";
    $err[] = 'Будет теряться сессия на браузерах без поддержки COOKIE';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value session.use_trans_sid 1</b>';
}


if (ini_get('magic_quotes_gpc') == 0) {
    echo "<img src = '/style/icons/ok.png' /> magic_quotes_gpc: 0 (OK)<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> magic_quotes_gpc: Включено<br />\n";
    $err[] = 'Включено экранирование кавычек';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value magic_quotes_gpc 0</b>';
}

if (ini_get('arg_separator.output') == '&amp;') {
    echo "<img src = '/style/icons/ok.png' /> arg_separator.output: &amp;amp; (OK)<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> arg_separator.output: " . output_text(ini_get('arg_separator.output')) . "<br />\n";
    $err[] = 'Возможно появление ошибки xml';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value arg_separator.output &amp;amp;</b>';
}


if (file_exists(H . 'install/mod_rewrite_test.php')) {
    if (@trim(file_get_contents("http://$_SERVER[HTTP_HOST]/install/mod_rewrite.test")) == 'mod_rewrite-ok') {
        echo "<img src = '/style/icons/ok.png' /> mod_rewrite: OK<br />\n";
    } elseif (function_exists('apache_get_modules')) {
        $apache_mod = @apache_get_modules();

        if (array_search('mod_rewrite', $apache_mod)) {
            echo "<img src = '/style/icons/ok.png' /> mod_rewrite: OK<br />\n";
        } else {
            echo "<img src = '/style/icons/del.png' /> mod_rewrite: Нет<br />\n";
            $err[] = 'Необходима поддержка mod_rewrite';
        }
    } else {
        echo "<img src = '/style/icons/del.png' /> mod_rewrite: Нет<br />\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} elseif (function_exists('apache_get_modules')) {
    $apache_mod = @apache_get_modules();

    if (array_search('mod_rewrite', $apache_mod)) {
        echo "<img src = '/style/icons/ok.png' /> mod_rewrite: OK<br />\n";
    } else {
        echo "<img src = '/style/icons/del.png' /> mod_rewrite: Нет<br />\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} else {
    echo "<img src = '/style/icons/del.png' /> mod_rewrite: Нет данных<br />\n";
}



if (function_exists('imagecreatefromstring') && function_exists('gd_info')) {
    $gdinfo = gd_info();
    echo "<img src = '/style/icons/ok.png' /> GD: " . $gdinfo['GD Version'] . " OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> GD: Нет<br />\n";
    $err[] = 'GD необходима для корректной работы движка';
}


if (function_exists('mysql_info')) {
    echo "<img src = '/style/icons/ok.png' /> MySQL: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> MySQL: Нет<br />\n";
    $err[] = 'Без MySQL работа не возможна';
}


if (function_exists('iconv')) {
    echo "<img src = '/style/icons/ok.png' /> Iconv: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> Iconv: Нет<br />\n";
    $err[] = 'Без Iconv работа не возможна';
}

if (class_exists('ffmpeg_movie')) {
    echo "<img src = '/style/icons/ok.png' /> FFmpeg: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> FFmpeg: Нет<br />\n";
    echo "<img src = '/style/icons/del.png' /> Без FFmpeg автоматическое создание скриношотов к видео недоступно<br />\n";
}

if (ini_get('register_globals') == false) {
    echo "<img src = '/style/icons/ok.png' /> register_globals off: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> register_globals on: !!!<br />\n";
    $err[] = 'register_globals включен. Грубое нарушение безопасности';
}

if (function_exists('mcrypt_cbc')) {
    echo "<img src = '/style/icons/ok.png' /> Шифрование COOKIE: OK<br />\n";
} else {
    echo "<img src = '/style/icons/del.png' /> Шифрование COOKIE: нет<br />\n";
    echo "<img src = '/style/icons/del.png' /> mcrypt не доступен<br />\n";
}
