<?php
/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 15.10.2015
 * Модифицировал densnet
 */

$set['meta_keywords'] = (isset($set['meta_keywords'])) ? $set['meta_keywords'] : null;
$set['meta_description'] = (isset($set['meta_description'])) ? $set['meta_description'] : null;


if ($set['meta_keywords'] != NULL) {

    function meta_keywords($str) {
        global $set;
        return str_replace('</head>', '<meta name="keywords" content="' . $set['meta_keywords'] . '" />' . "\n</head>", $str);
    }

    ob_start('meta_keywords');
}


if ($set['meta_description'] != NULL) {

    function meta_description($str) {
        global $set;
        return str_replace('</head>', '<meta name="description" content="' . $set['meta_description'] . '" />' . "\n</head>", $str);
    }

    ob_start('meta_description');
}

$set['web'] = false;
?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title><?= $set['title']; ?></title>
        <link rel="shortcut icon" href="/style/icons/Special.png" />
        <?php
        if (IS_WEB) {
            ?>
            <style>
                body {
                    width: 500px;
                    /* Отступы вокруг /* Максимальная ширина страницы */
                }
                <?php
            }
            ?>
        </style>
        <link rel="stylesheet" href="/style/themes/<?= $set['set_them']; ?>/style.css" type="text/css" />
        <link rel="alternate" title="Новости RSS" href="/news/rss.php" type="application/rss+xml" />
    </head>
    <body class="custom-background">
