<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 24.10.2015
 * Модифицировал densnet
 */

require_once '../../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/user.php';

user::only_reg();

$set['title'] = 'Мой аватар';

require_once H . 'sys/inc/thead.php';

title();
aut();
err();

if (isset($_GET['act']) && $_GET['act'] == 'delete' && isset($_GET['ok'])) {
    @unlink(H . "sys/avatar/$user[id].jpg");
    @unlink(H . "sys/avatar/$user[id].gif");
    @unlink(H . "sys/avatar/$user[id].png");

    msg('Аватар успешно удален');
    require_once H . 'sys/inc/tfoot.php';
    exit;
}

if (isset($_FILES['file'])) {


    if (preg_match('#\.jpe?g$#i', $_FILES['file']['name']) && $imgc = @imagecreatefromjpeg($_FILES['file']['tmp_name'])) {
        if (imagesx($imgc) > 1000 || imagesy($imgc) > 1000) {
            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = 1000; // ширина
                $dstH = 1000; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = 1000;
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = 1000;
                $dstW = ceil($dstH / $prop);
            }

            $screen = imagecreatetruecolor($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);
            $avs = glob(H . "sys/avatar/$user[id].*");
            if ($avs) {
                foreach ($avs as $value) {
                    @chmod($value, 0777);
                    @unlink($value);
                }
            }
            imagejpeg($screen, H . "sys/avatar/$user[id].jpg", 1000);
            @chmod(H . "sys/avatar/$user[id].jpg", 0777);
            imagedestroy($screen);
        } else {
            copy($_FILES['file']['tmp_name'], H . "sys/avatar/$user[id].jpg");
        }

        msg("Аватар успешно установлен");
    } elseif (preg_match('#\.gif$#i', $_FILES['file']['name']) && $imgc = @imagecreatefromgif($_FILES['file']['tmp_name'])) {
        include_once 'sys/inc/gif_resize.php';
        $screen = gif_resize(fread(fopen($_FILES['file']['tmp_name'], "rb"), filesize($_FILES['file']['tmp_name'])), 48, 48);
        $avs = glob(H . "sys/avatar/$user[id].*");
        if ($avs) {
            foreach ($avs as $value) {
                @chmod($value, 0777);
                @unlink($value);
            }
        }

        file_put_contents(H . "sys/avatar/$user[id].gif", $screen);
        @chmod(H . "sys/avatar/$user[id].gif", 0777);

        msg("Аватар успешно установлен");
    } elseif (preg_match('#\.png$#i', $_FILES['file']['name']) && $imgc = @imagecreatefrompng($_FILES['file']['tmp_name'])) {
        if (imagesx($imgc) > 1000 || imagesy($imgc) > 1000) {

            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = 1000; // ширина
                $dstH = 1000; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = 1000;
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = 1000;
                $dstW = ceil($dstH / $prop);
            }

            $screen = ImageCreate($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);

            $avs = glob(H . "sys/avatar/$user[id].*");
            if ($avs) {
                foreach ($avs as $value) {
                    @chmod($value, 0777);
                    @unlink($value);
                }
            }


            imagepng($screen, H . "sys/avatar/$user[id].png");
            @chmod(H . "sys/avatar/$user[id].png", 0777);
            imagedestroy($screen);
        } else {
            copy($_FILES['file']['tmp_name'], H . "sys/avatar/$user[id].png");
        }

        msg("Аватар успешно установлен");
    } else {
        $err[] = 'Неверный формат файла';
    }
}

if (isset($_GET['act']) && $_GET['act'] == 'delete') {

    echo "<form method = 'post' class = 'comm' action = '?act=delete&amp;ok'>\n";
    echo "Подтвердите удаление аватара<br />";
    echo "<div style = 'float:right;' id = 'hide'>";
    echo "<a href = '?' title = 'Отмена'>" . img('cancel.png', '') . "</a>";
    echo "</div>";
    echo "<button class = 'flat blue md'>Удалить</button>";
    echo "</form>";
}

$ava = avatar_path($user['id']);

if (isset($_POST['delete'])) {
    header("Location: ?act=delete" . SID);
    exit;
}
if ($ava) {
    echo "<div class = 'comm'><center><b>Ваш текущий аватар</b></center></div>";
} else {
    echo "<div class = 'comm'><center><b>Загрузка аватара</b></center></div>";
}
echo "<form method = 'post' class = 'comm' enctype = 'multipart/form-data' action = '?$passgen'>\n";

if ($ava) {
    avatar($user['id'], '300');
    echo "<div class = 'hr'></div>";
}

echo "Можно загружать изображения форматов: GIF, JPG, PNG<br/>";
echo "Качественное преобразование GIF-анимации не гарантируется<br/>";
echo "<div class = 'hr'></div>";
echo "<input type = 'file' name = 'file' accept = 'image/*,image/gif,image/png,image/jpeg' /><br/>";
if ($ava) {
    echo "<button class = 'button-green'>Заменить</button> ";
    echo "<button class = 'button-green' name = 'delete'>Удалить текущий</button>";
} else {
    echo "<button class = 'button-green'>Загрузить</button>";
}

echo "</form>";

if (isset($_SESSION['refer']) && $_SESSION['refer'] != NULL && otkuda($_SESSION['refer'])) {
    echo "<div class = 'comm'><a href = '$_SESSION[refer]' style = 'color: #88C057;'><img src = '/style/icons/left.png'/> " . otkuda($_SESSION['refer']) . "</a></div>";
}
echo "<div class = 'comm'><a href = '/umenu.php' style = 'color: #88C057;'><img src = '/style/icons/left.png'/> Кабинет</a></div>";

require_once H . 'sys/inc/tfoot.php';
