<?php

/* Мод "Панель управления"
 * Версия v0.0.4
 * Дата последнего редактирования 09.10.2015
 * Двиг DCMS Special
 * Модифицировал densnet
 * Файл conf_server.php
 * Описание: Конфигурация сервера
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_conf_server', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Конфигурация сервера';
require_once H . 'sys/inc/thead.php';

title();
aut();
err();

echo "<div class = 'comm'><center><b>Конфигурация сервера</b></center></div>";

if (isset($err)) {
    if (is_array($err)) {
        foreach ($err as $key => $value) {
            echo "<div class = 'errs'>$value</div>";
        }
    } else {
        echo "<div class = 'errs'>$err</div>";
    }
}

echo "<div class = 'comm'>";
require_once H . 'sys/inc/testing.php';
echo "</div>";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}

require_once H . 'sys/inc/tfoot.php';
