<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 20.10.2015
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_ip_edit', null, 'index.php?' . SID);
adm_check();

$opsos = NULL;
$set['title'] = 'Добавление оператора';
require_once H . 'sys/inc/thead.php';

if (isset($_POST['min']) && isset($_POST['max']) && isset($_POST['opsos'])) {
    if (!preg_match("#^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$#", $_POST['min'])) {
        $err = 'Неверный формат IP';
    }
    if (!preg_match("#^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$#", $_POST['max'])) {
        $err = 'Неверный формат IP';
    }
    if ($_POST['opsos'] == NULL) {
        $err = 'Введите название оператора';
    }


    $min = ip2long($_POST['min']);
    $max = ip2long($_POST['max']);
    $opsos = mysql_real_escape_string(stripcslashes(htmlspecialchars($_POST['opsos'])));

    mysql_query("INSERT INTO `opsos` (`min`, `max`, `opsos`) values('$min', '$max', '$opsos')", $db);
    msg('Диапазон успешно добавлен');
}


if (isset($_GET['delmin']) && isset($_GET['delmax']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `opsos` WHERE `min` = '" . $_GET['delmin'] . "' AND `max` = '" . $_GET['delmax'] . "' LIMIT 1", $db), 0) != 0) {
    mysql_query("DELETE FROM `opsos` WHERE `min` = '" . mysql_real_escape_string($_GET['delmin']) . "' AND `max` = '" . $_GET['delmax'] . "' LIMIT 1");
    mysql_query("OPTIMIZE TABLE `opsos`");
    msg('Диапазон успешно удален');
}

title();
aut();
err();

echo "<div class = 'comm'><center><b>Добавление оператора</b></center></div>";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `opsos`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    echo "<div class = 'errs'>";
    echo "<img src = '/style/icons/error.png' /> Нет результатов";
    echo "</div>";
}
$q = mysql_query("SELECT * FROM `opsos` ORDER BY `opsos` ASC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q)) {
    echo "<div class = 'comm'>";
    echo "<div style = 'float:right;' id = 'hide'>";
    echo "<a href = '?page=$page&amp;delmin=$post[min]&amp;delmax=$post[max]' title = 'Удалить'><img src = '/style/icons/del.png' /></a>";
    echo "</div>";
    echo long2ip($post['min']) . ' - ' . long2ip($post['max']);
    echo "<br />";
    echo "$post[opsos]";
    echo "</div>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

echo "<form method = 'post' class = 'comm' action = ''>\n";
echo "<b>Начальный IP адрес</b><br />";
echo "<input name = 'min' size = '16'  value = '' type = 'text' /><br />\n";
echo "<b>Завершающий IP</b><br />";
echo "<input name = 'max' size = '16' value = '' type = 'text' /><br />\n";
echo "<b>Оператор</b><br />";
echo "<input name = 'opsos' size = '16' value = '$opsos' type = 'text' /><br />\n";
echo "<button class = 'button-green'>Добавить</button>";
echo "</form>\n";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}
require_once H . 'sys/inc/tfoot.php';
