<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 20.10.2015
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user::access('adm_set_foto', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Настройки фотогалереи';

require_once H . 'sys/inc/thead.php';

if (isset($_POST['save'])) {
    $temp_set['max_upload_foto_x'] = intval($_POST['max_upload_foto_x']);
    $temp_set['max_upload_foto_y'] = intval($_POST['max_upload_foto_y']);

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Фотогалерея', 'Изменение настроек фотогалереи');
        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

title();
aut();
err();

echo "<div class = 'comm'><center><b>Настройки фотогалереи</b></center></div>";

echo "<form method = 'post' class = 'comm' action = '?'>";

echo "<b>Ширина фото (max)</b><br /><input type = 'text' name = 'max_upload_foto_x' value = '$temp_set[max_upload_foto_x]' /><br />\n";
echo "<b>Высота фото (max)</b><br /><input type = 'text' name = 'max_upload_foto_y' value = '$temp_set[max_upload_foto_y]' /><br />\n";

echo "<button name = 'save' class = 'button-green'>Сохранить</button>";
echo "</form>\n";

if (user::access('adm_panel_show')) {
    echo "<div class = 'comm'><a href = '/adm_panel/' style = 'color:#88C057;'><img src = '/style/icons/left.png' /> Панель управления</a></div>";
}
require_once H . 'sys/inc/tfoot.php';
