
CREATE TABLE IF NOT EXISTS `adm_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('link') NOT NULL DEFAULT 'link',
  `name` varchar(32) NOT NULL,
  `url` varchar(1024) DEFAULT NULL,
  `counter` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `icon` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pos` (`pos`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `adm_menu` (`id`, `type`, `name`, `url`, `counter`, `pos`, `icon`) VALUES
(1, 'link', 'Проверка CHMOD', '/adm_panel/chmod.php', '', 1, 'Folder-Unlock.png'),
(2, 'link', 'Конфигурация сервера', '/adm_panel/conf_server.php', '', 2, 'Server.png'),
(3, 'link', 'Статистика сайта', '/adm_panel/statistic.php', '', 3, 'Stocks.png'),
(4, 'link', 'Журнал изменений', '/adm_panel/changelog.php', '', 4, 'Text1.png'),
(5, 'link', 'Администрация', '/adm_panel/administration.php', '', 5, 'Man-Suit.png'),
(6, 'link', 'Действия администрации', '/adm_panel/adm_log.php', '', 6, 'Camera-Briefcase.png'),
(7, 'link', 'Главное меню', '/adm_panel/menu.php', '', 7, 'Application.png'),
(8, 'link', 'Панель управления', '/adm_panel/adm_menu.php', '', 8, 'Application-Modal.png'),
(9, 'link', 'Реклама и баннеры', '/adm_panel/rekl.php', '', 9, 'Megaphone.png'),
(10, 'link', 'Система', '/adm_panel/settings_sys.php', '', 10, 'Settings32.png'),
(11, 'link', 'Настройки BBcode', '/adm_panel/settings_bbcode.php', '', 11, 'Bold.png'),
(12, 'link', 'Пользователи', '/adm_panel/settings_user.php', '', 12, 'Suit.png'),
(13, 'link', 'Фотогалерея', '/adm_panel/settings_foto.php', '', 13, 'Photo-Album.png'),
(14, 'link', 'Привилегии', '/adm_panel/accesses.php', '', 14, 'Indent-First-Line.png'),
(15, 'link', 'Панель ссылок', '/user/links/?admin', '', 15, 'Link1.png'),
(16, 'link', 'Список забаненых', '/adm_panel/banlist.php', '', 16, 'Face-Detection.png'),
(17, 'link', 'Рефералы', '/adm_panel/referals.php', '', 17, 'Cursor1.png'),
(18, 'link', 'Редактирование IP операторов', '/adm_panel/opsos.php', '', 18, 'ip.png'),
(19, 'link', 'Бан по IP адресу', '/adm_panel/ban_ip.php', '', 19, 'ip.png'),
(20, 'link', 'MySQL запросы', '/adm_panel/mysql.php', '', 20, 'Grid-Scroll.png'),
(21, 'link', 'Темы оформления', '/adm_panel/themes.php', '', 21, 'Color-Picker.png'),
(22, 'link', 'Удаление пользователей', '/adm_panel/delete_users.php', '', 22, 'delete.png'),
(23, 'link', 'Кабинет', '/adm_panel/umenu.php', '', 23, 'Layout-3.png'),
(24, 'link', 'Установка темы', '/adm_panel/them_installer.php', '', 24, 'Color-Picker-Transparent.png');
