CREATE TABLE IF NOT EXISTS `all_accesses` (
  `type` varchar(50) NOT NULL,
  `name` varchar(100) NOT NULL,
  UNIQUE KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `all_accesses` (`type`, `name`) VALUES
('adm_panel_show', 'Панель управления - Доступ к разделам панели управления'),
('adm_info', 'Панель управления - Общая информация'),
('adm_statistic', 'Панель управления - Статистика'),
('adm_log_read', 'Панель управления - Лог действий администрации'),
('adm_log_delete', 'Панель управления - Удаление лога'),
('adm_banlist', 'Панель управления - Список забаненых'),
('adm_menu', 'Панель управления - Главное меню'),
('adm_profile', 'Панель управления - Профиль меню'),
('adm_umenu', 'Панель управления - Кабинет меню'),
('adm_chmod', 'Панель управления - Проверка CHMOD'),
('adm_conf_server', 'Панель управления - Конфигурация сервера'),
('adm_changelog', 'Панель управления - Конфигурация сервера'),
('adm_send_money', 'Панель управления - Рассылка монет'),
('adm_send_mess', 'Панель управления - Рассылка сообщений'),
('adm_send_not', 'Панель управления - Рассылка в журнал'),
('adm_rekl', 'Панель управления - Реклама'),
('adm_set_sys', 'Панель управления - Настройки системы'),
('adm_set_loads', 'Панель управления - Настройки загруз-центра'),
('adm_set_user', 'Панель управления - Пользовательские настройки'),
('adm_set_foto', 'Панель управления - Настройки фотогалереи'),
('adm_set_bb', 'Панель управления - Настройки бб-кодов'),
('adm_set_bb_moder', 'Панель управления - Настройки ББ-кодов - От модератора и выше'),
('adm_set_bb_super_moder', 'Панель управления - Настройки ББ-кодов - От Супер модератора и выше'),
('adm_set_bb_admin', 'Панель управления - Настройки ББ-кодов - Доступ только гл.администратору и Создателю '),
('adm_forum_sinc', 'Панель управления - Синхронизация таблиц форума'),
('adm_themes', 'Панель управления - Темы оформления'),
('adm_mysql', 'Панель управления - MySQL запросы !!!'),
('adm_ref', 'Панель управления - Рефералы'),
('adm_show_adm', 'Панель управления - Список администрации'),
('adm_ip_edit', 'Панель управления - Редактирование IP операторов'),
('adm_ban_ip', 'Панель управления - Бан по IP'),
('adm_accesses', 'Панель управления - Привилегии групп пользователей !!!'),

('guest_show_ip', 'Гости - показ IP'),

('foto_foto_edit', 'Фотогалерея - редактирование/удаление фото'),
('foto_alb_del', 'Фотогалерея - удаление альбомов'),

('user_delete', 'Пользователи - удаление'),
('user_mass_delete', 'Пользователи - массовое удаление'),
('user_ban_set', 'Пользователи - бан'),
('user_ban_unset', 'Пользователи - снятие бана'),
('user_prof_edit', 'Пользователи - редактирование профиля'),
('user_collisions', 'Пользователи - совпадения ников'),
('user_show_ip', 'Пользователи - показывать IP'),
('user_show_ua', 'Пользователи - показ USER-AGENT'),
('user_show_add_info', 'Пользователи - показ доп. информации'),
('user_change_group', 'Пользователи - смена группы привилегий'),
('user_ban_set_h', 'Пользователи - бан (max 1 сутки)'),
('user_change_nick', 'Пользователи - смена ника');
