
CREATE TABLE IF NOT EXISTS `profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('link') NOT NULL DEFAULT 'link',
  `private` enum('0','1','2') DEFAULT '0',
  `name` varchar(32) NOT NULL,
  `url` varchar(1024) DEFAULT NULL,
  `counter` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `icon` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pos` (`pos`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `profile` (`id`, `type`, `private`, `name`, `url`, `counter`, `pos`, `icon`) VALUES
(1, 'link', '1', 'Сообщения', '/user/mail/', '', 1, 'Envelope.png'),
(2, 'link', '1', 'Черный список', '/user/blacklist/', '/user/blacklist/count.php', 2, 'No-Entry.png'),
(3, 'link', '1', 'Уведомления', '/user/notification.php', '/user/notification_с.php', 3, 'Notification.png');
